Subject: Re: [PATCH] nfs: fix build error in nfsroot with initconst

From: Sam Ravnborg <[email-masked]>
Date: Wed, 6 May 2009 06:40:56 +0200

On Wed, May 06, 2009 at 01:32:53PM +1000, Stephen Rothwell wrote:
> Hi Sam,
> 
> On Tue, 5 May 2009 13:11:14 +0200 Sam Ravnborg <[email-masked]> wrote:
> >
> > fix build error with latest kbuild adjustments to initconst.
> > 
> > The commit a447c0932445f92ce6f4c1bd020f62c5097a7842 ("vfs: Use
> > const for kernel parser table") changed:
> > 
> >     static match_table_t __initdata tokens = {
> > to
> >     static match_table_t __initconst tokens = {
> > 
> > But the missing const causes popwerpc to fail with latest
> > updates to __initconst like this:
> > 
> > fs/nfs/nfsroot.c:400: error: __setup_str_nfs_root_setup causes a section type conflict
> > fs/nfs/nfsroot.c:400: error: __setup_str_nfs_root_setup causes a section type conflict
> > 
> > The bug is only present with kbuild-next.
> > Following patch has been build tested.
> > 
> > Signed-off-by: Sam Ravnborg <[email-masked]>
> > Cc: Steven Whitehouse <[email-masked]>
> > Cc: Stephen Rothwell <[email-masked]>
> 
> I build tested this with the offending compilers, so
> 
> Tested-by: Stephen Rothwell <[email-masked]>
> Acked-by: Stephen Rothwell <[email-masked]>
> 
> I also build tested with the updates to __initconst as well.
> 
> > Please apply this either to your -next tree or preferably upstream.
> 
> If you want to keep the __initconst changes in your tree, then you need
> the above in your tree as well ... (preferably before the __initconst
> changes).
I hope that Trond would pull it into his tree and get it
upstream.

But if this does not happen within a few days (or Trond says I should do so),
I will add it to the kbuild-next.git.

	Sam